lostfiles(1)

NAME
lostfiles - Find orphaned files not owned by any packages.

USAGE
lostfiles [-s] [-z]

DESCRIPTION
Lostfiles compares pacman's database of package owned files to the contents of actual filesystem and reports files that are not owned by a package. Useful for identifying non-native files.

OPTIONS
-s

  Run in strict mode which aims to be more verbose ignoring less.
-z

  Print and sort by size of matches.

USER-DEFINED EXCLUDES
/etc/lostfiles.conf can be customized with a list of paths to include and exclude when running in relaxed mode. Each line beginning with a plus (+) or minus (-) sign, followed by an absolute path, will respectively include or exclude that path from the results. Exclude paths are matched as shell-style globs: an asterisk (*) matches any string within a single path component, and a double asterisk (**) matches across directory separators. Excluding a directory prunes its entire subtree. Lines beginning with a number sign (#) are interpreted as comments.

Additional configuration overrides can be placed in /etc/lostfiles.d/ as individual *.conf files. These drop-in files use the same format as /etc/lostfiles.conf and are read in lexical order after the main configuration file. This allows packages or local administrators to add custom include/exclude rules without modifying the main configuration file.

CONTRIBUTE
Users wishing to contribute to this code, should fork and send a pull request. Source is freely available at:

    •   https://github.com/graysky2/lostfiles

AUTHORS
Current maintainer:

•   graysky <therealgraysky AT proton DOT me>

Past major contributors:

•   Joan Bruguera (joanbrugueram AT gmail DOT com)

•   Mircea Bardac (dev AT mircea.bardac.net)

•   Modified by Jan Janssen, graysky, karol, asdffdsa, iceram, and others.